> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Swap History



## OpenAPI

````yaml get /ipfs/swap/{cid}
openapi: 3.0.0
info:
  title: Pinata V3 API
  version: 1.0.0
servers:
  - url: https://api.pinata.cloud/v3
security:
  - bearerAuth: []
paths:
  /ipfs/swap/{cid}:
    get:
      tags:
        - Swaps
      summary: Get Swap History
      parameters:
        - name: domain
          in: query
          schema:
            type: string
            description: The domain of the gateway that has the Hot Swaps plugin installed
          required: true
          example: discordpinnie.mypinata.cloud
        - name: cid
          in: path
          schema:
            type: string
            description: The original CID that is in the Gateway path
          required: true
          example: QmV66MtU6PHNAooavATGJyYrAgAeRDaHN4UvRwVN2Lsrp6
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Sun, 18 Aug 2024 19:44:14 GMT
            Content-Type:
              schema:
                type: string
                example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
                example: '116'
            Connection:
              schema:
                type: string
                example: keep-alive
            X-Request-Id:
              schema:
                type: string
                example: 32947ddd9c147410acebab6b9221f523
            Strict-Transport-Security:
              schema:
                type: string
                example: max-age=15724800; includeSubDomains
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        mappedCid:
                          type: string
                          description: >-
                            The current CID that is being pointed to from the
                            original
                        createdAt:
                          type: string
                          description: The date this CID was updated
              example:
                data:
                  - mappedCid: QmXog19G7QvqHQUMH4R6aCaq8J9qfKAU9ethr51PUjtKjM
                    createdAt: '2024-08-18T19:36:29.442559Z'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````